#include <stdio.h>
#include <stdlib.h>

int main()
{
    long long int n=0,x=0,a[n],i,min=0,s=0,max=0;
    scanf("%lld %lld",&n,&x);
    min=x+1;
    for (i=0;i<n;i++)
    {
        scanf("%lld",&a[i]);
    }
    for (i=0;i<n;i++)
    {
        if (a[i]<x)
        {
            min=a[i];
        }
        if(max<a[i])
        {
            max=a[i];
        }
    }
    if (min<x)
    {
        s=x-min+max-min;
    }
    else
    {
        s=max-x;
    }
    printf("%lld",s);

    return 0;
}